#pragma once
#include "vecmath.h"
#include "platform.h"
#include "scenefile.h"

void	yrVR_set_coord_offset(vec4i pos);
vec4i	yrVR_get_coord_offset(void);
mat4f	yrVR_hmd_from_world(void);
mat4f	yrVR_world_from_tracked(uint32_t idx);
vec4i	yrVR_cold_get_coord_offset(yrSceneFile* sf);

yrEvent yrVR_sync_waitgetposes(void);
void yrVR_ready_interaction(int on_off);